QGIS Application - Bug report #19446
Special Characters in Project-Names saved as Qgz-Files do not work /qgz as default
2018-07-19 04:02 PM - Peter Drexel

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:3.2 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 27274
Description

Using special characters (ie German aiio etc) in project-names saved as qgz-files lead to empty projects wenn reopended. If | extract the
content of the qgz (ie 6.qgz) to to a folder (creating 6.9gs and 6.qgd) | can open the 6.qgs...

qgz vs. qgs:
I think it should be possible to choose the default-type of the project-file (qgs or qgz) in the settings as the compressed qgz-files cause
problems with our virus-scanners...

Thanks
Peter

History

#1 - 2018-07-20 09:03 AM - Michel Stuyts

If | create a file called test.qgz in QGIS, rename it to tést.qgz in Windows Explorer, and load that file in QGIS everything is loaded correct.

If I create a file called tést.qgz in QGIS, rename it to test.qgz in Windows Explorer, and load that file in QGIS, no layers are loaded.

#2 - 2019-01-22 03:15 AM - Nyall Dawson
- Resolution set to duplicate

- Status changed from Open to Closed

Duplicate of #19567

2025-05-17 1/1




